/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#if !defined(AFX_GLUNITPROPPANE_H__46C01F7F_1BB6_457B_8CA4_2873CEDB539D__INCLUDED_)
#define AFX_GLUNITPROPPANE_H__46C01F7F_1BB6_457B_8CA4_2873CEDB539D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include "GLPropPanel.h"

/////////////////////////////////////////////////////////////////////////////
// CGLUnitPropPane ダイアログ

class CGLUnitPropPane : public CGLPropPane
{
// コンストラクション
public:
	CGLUnitPropPane(fugenDoc* pDpc);

// ダイアログ データ
	//{{AFX_DATA(CGLUnitPropPane)
	enum { IDD = IDD_PROP_UNIT };
	double m_dAbs; ///< wc_zero
	double m_dLine; ///< line_zero
	double m_dRel; ///< rc_zero
	double m_dAngle; ///< angle_zero ただし UI 上は degree 表記
	double m_dMachZero; ///< mach_zero
	double m_dKnotRatio; ///< max_knot_ratio
	//}}AFX_DATA

// オーバーライド
	//{{AFX_VIRTUAL(CGLUnitPropPane)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	void OnButtonPropUnitDefault();

// インプリメンテーション
protected:
	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CGLUnitPropPane)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	virtual void LoadUserProf();
	virtual BOOL UpdateUserProf();
	virtual void ResetToDefaultUserProf();

	virtual void LoadDocContext();
	virtual BOOL UpdateDocContext();
	virtual void ResetToDefaultDocContext();

};

#endif // !defined(AFX_GLUNITPROPPANE_H__46C01F7F_1BB6_457B_8CA4_2873CEDB539D__INCLUDED_)
